> ## Documentation Index
> Fetch the complete documentation index at: https://emiloju.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rated movies

> This endpoint is used to get the movies rated by a TMDB account.



## OpenAPI

````yaml api-reference/openapi.yaml get /3/account/{account_id}/rated/movies
openapi: 3.0.3
info:
  title: Endpoints
  description: This section contains all the endpoints used in the documentation.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: This section contains all endpoints used for authentication
  - name: Accounts
    description: This section contains account-specific endpoints.
  - name: Favorites
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows, episodes to favorites, and also to get a list of
      favorites for the account.
  - name: Movies
    description: >-
      This section contains an endpoint to add a movie to favorites, and another
      to get a list of favorite movies for a TMDB account.
  - name: TV shows
    description: >-
      This section contains an endpoint to get the favorite TV shows for an
      account.
  - name: Watchlist
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows to watchlist, and also to get a list of watchlist for the
      account.
  - name: Movies1
    description: >-
      This section contains an endpoint that allows a TMDB account to add a
      movie to watchlist, and another to get the movies in a watchlist.
  - name: TV shows1
    description: >-
      This section contains an endpoint used to get TV shows in an account's
      watchlist.
  - name: Ratings
    description: >-
      This section contains endpoints used to get all movies, TV Shows, and
      episodes rated by a TMDB account.
  - name: Movies12
    description: >-
      This section contains an endpoint used to get a list of movies rated by a
      TMDB account.
  - name: TV shows12
    description: >-
      This section contains an endpoint used to get a list of TV shows rated by
      a TMDB account.
  - name: Episodes
    description: >-
      This section contains an endpoint used to get a list of episodes rated by
      a TMDB account.
  - name: Lists
    description: Endpoints for a TMDB account lists.
  - name: Guest sessions
    description: This section contains all endpoints accessible by a guest session.
  - name: Movies
    description: For movies.
  - name: TV episodes
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      episodes.
  - name: TV seasons
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      seasons.
  - name: TV series
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      series.
  - name: TV series lists
    description: This section contains all endpoints used to list TV series.
  - name: TV episode groups
    description: This section contains an endpoint used to retrieve data for TV episodes.
  - name: Watch providers
    description: Get available regions.
  - name: People
    description: About people lists.
  - name: Companies
    description: >-
      This section contains all endpoints used to retrieve data for supported
      companies.
  - name: Discover
    description: This section contains all endpoints used to discover movies and TV shows.
  - name: Recent changes
    description: >-
      This section contains all endpoints used to get recent changes in the TMDB
      database.
  - name: Credit
    description: This section contains an endpoint used to retrieve movie credits.
  - name: Certifications
    description: >-
      This section contains all endpoints used to get certification for movies
      and TV shows.
  - name: Collections
    description: This section contains all endpoints used to retrieve data for collections
  - name: Configuration
    description: >-
      This section contains all endpoints used to retrieve data on TMDB's
      configurations.
  - name: Find
    description: >-
      This section contains an endpoint used to search the TMDB database by
      External ID.
  - name: Genres
    description: This section contains endpoints related to genres.
  - name: Keywords
    description: >-
      This section contains an endpoint used to get keywords in the database by
      an ID.
  - name: Movie lists
    description: >-
      This section contains all endpoints used to retrieve movies by multiple
      search filters.
  - name: Networks
    description: For network endpoints.
  - name: Reviews
    description: For reviews endpoints.
  - name: Search
    description: For search endpoints.
  - name: Trending
    description: For trending videos.
paths:
  /3/account/{account_id}/rated/movies:
    get:
      tags:
        - Accounts
        - Ratings
        - Movies12
      summary: Get rated movies
      description: This endpoint is used to get the movies rated by a TMDB account.
      operationId: getRatedMovies
      parameters:
        - $ref: '#/components/parameters/accountID'
        - $ref: '#/components/parameters/sessionID'
        - $ref: '#/components/parameters/language'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/sortBy'
      responses:
        '200':
          description: Request successful
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Wed, 04 Dec 2024 23:26:38 GMT
            ETag:
              schema:
                type: string
                example: W/"eb0c2beeec96b5c02c521a21d5f511ba"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 919527ccf4988ee440e4f4dab0b5b5be.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: taUQ8PY2jmyPbzTjZdgwOo5Sl613YvIFFCZ1CK8VVs1KeheyL5x5yw==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: CDG50-C1
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: a8b268a4c892e5fd4ba02414f3cfb84c
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/accountMoviesResponse'
                        - type: object
                          properties:
                            rating:
                              type: number
                              example: 5
                              description: The item's rating value set by the user.
                    example:
                      - adult: false
                        backdrop_path: /4MUfDtBqUFqotGF5RJOfNfoBTLo.jpg
                        genre_ids:
                          - 28
                          - 27
                          - 14
                        id: 951546
                        original_language: en
                        original_title: Reign of Chaos
                        overview: >-
                          When the world is gripped by a plague unleashed by the
                          evil lord Chaos, and humans are turned into rabid
                          creatures, mankind can only be saved by three young
                          women, descendants of a Goddess, with the power to
                          stop Chaos' evil.
                        popularity: 28.327
                        poster_path: /nTMmpvR9TyV631tpFr4FtYxG0FC.jpg
                        rating: 5
                        release_date: '2022-04-12'
                        title: Reign of Chaos
                        video: false
                        vote_average: 5.592
                        vote_count: 39
                  total_pages:
                    $ref: '#/components/schemas/totalPages'
                  total_results:
                    $ref: '#/components/schemas/totalResults'
              examples:
                Response example:
                  value:
                    page: 1
                    results:
                      - adult: false
                        backdrop_path: /4MUfDtBqUFqotGF5RJOfNfoBTLo.jpg
                        genre_ids:
                          - 28
                          - 27
                          - 14
                        id: 951546
                        original_language: en
                        original_title: Reign of Chaos
                        overview: >-
                          When the world is gripped by a plague unleashed by the
                          evil lord Chaos, and humans are turned into rabid
                          creatures, mankind can only be saved by three young
                          women, descendants of a Goddess, with the power to
                          stop Chaos' evil.
                        popularity: 28.327
                        poster_path: /nTMmpvR9TyV631tpFr4FtYxG0FC.jpg
                        rating: 5
                        release_date: '2022-04-12'
                        title: Reign of Chaos
                        video: false
                        vote_average: 5.592
                        vote_count: 39
                    total_pages: 1
                    total_results: 1
components:
  parameters:
    accountID:
      in: path
      name: account_id
      required: true
      schema:
        type: integer
        example: 548
      description: >-
        A unique numeric identifier for a user account on TMDB. See how to get
        account id [here]().
    sessionID:
      in: query
      name: session_id
      schema:
        type: string
        example: 02a0e6d34dbd8325254e83c78918599076a62b0e
      description: >-
        A unique identifier for an authenticated user session. Usually used for
        [user authentication]()
    language:
      in: query
      name: language
      schema:
        type: string
        example: en-US
      description: >
        The language and region of the content, represented by an ISO 639-1 and
        ISO 3166-1 code combination (e.g, en-US for English, United States.).
        Defaults to en-US.
    page:
      in: query
      name: page
      schema:
        type: integer
        example: 1
      description: A specific page number to get results for. Defaults to 1
    sortBy:
      in: query
      name: sort_by
      schema:
        type: string
        enum:
          - created_at.asc
          - created_at.desc
      description: >
        Used to determine the order in which results are sorted in the response
        (ascending or descending). Allowed values: * `created_at.asc`: Sort by
        date created in ascending order  * `created_at.desc`: sort by date
        created in descending order Defaults to `created_at.asc`
  schemas:
    accountMoviesResponse:
      type: object
      properties:
        adult:
          type: boolean
          example: false
          description: Indicates if the movie contains adult content (true or false)
        backdrop_path:
          type: string
          example: /deLWkOLZmBNkm8p16igfapQyqeq.jpg
          description: >-
            Path to the movie's backdrop path. Learn how it's used
            [here](https://emiloju.mintlify.app/image_basics)
        genre_ids:
          type: array
          items:
            type: number
            example: 14
          example:
            - 14
            - 28
            - 12
          description: List of genre IDs associated with the movie
        id:
          type: number
          example: 763215
          description: A unique identifier for the movie
        original_language:
          type: string
          example: en
          description: The movie's original language code (e.g, "en" for English)
        original_title:
          type: string
          example: Damsel
          description: The original title of the movie
        overview:
          type: string
          example: >-
            A young woman's marriage to a charming prince turns into a fierce
            fight for survival when she's offered up as a sacrifice to a
            fire-breathing dragon.
          description: Brief summary or description of the movie's plot.
        popularity:
          type: number
          example: 80.512
          description: >-
            A numeric value that represents the movie's
            [popularity](https://emiloju.mintlify.app/popularity#popularity).
        poster_path:
          type: string
          example: /AgHbB9DCE9aE57zkHjSmseszh6e.jpg
          description: >-
            The path to the movie's [poster
            image](https://emiloju.mintlify.app/image_basics)
        release_date:
          type: string
          example: '2024-03-07'
          description: The date the movie was released (YYYY-MM-DD).
        title:
          type: string
          example: Damsel
          description: The movie's title
        video:
          type: boolean
          example: false
          description: A boolean value that indicates if the entry is a video
        vote_average:
          type: number
          example: 7.1
          description: Average user rating for the movie on a scale of 1-10
        vote_count:
          type: number
          example: 2185
          description: The total number of user votes for the movie.
    totalPages:
      type: number
      example: 1
      description: The total number of pages returned in the response
    totalResults:
      type: number
      example: 1
      description: The total number of results returned in the response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````